- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# cp_mgmt_time – Manages time objects on Check Point over Web Services API

New in version 2.9.

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- Manages time objects on Check Point devices including creating, updating and removing objects.
- All operations are performed over Web Services API.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
auto_publish_session boolean | Choices: no yes | Publish the current session if changes have been performed after task completes.
color string | Choices: aquamarine black blue crete blue burlywood cyan dark green khaki orchid dark orange dark sea green pink turquoise dark blue firebrick brown forest green gold dark gold gray dark gray light green lemon chiffon coral sea green sky blue magenta purple slate blue violet red navy blue olive orange red sienna yellow | Color of the object. Should be one of existing colors.
comments string |  | Comments string.
details_level string | Choices: uid standard full | The level of detail for some of the fields in the response can vary from showing only the UID value of the object to a fully detailed representation of the object.
end dictionary |  | End time. Note, Each gateway may interpret this time differently according to its time zone.
| date string |  | Date in format dd-MMM-yyyy.
| iso_8601 string |  | Date and time represented in international ISO 8601 format. Time zone information is ignored.
| posix integer |  | Number of milliseconds that have elapsed since 00,00,00, 1 January 1970.
| time string |  | Time in format HH,mm.
end_never boolean | Choices: no yes | End never.
groups list |  | Collection of group identifiers.
hours_ranges list |  | Hours recurrence. Note, Each gateway may interpret this time differently according to its time zone.
| enabled boolean | Choices: no yes | Is hour range enabled.
| from string |  | Time in format HH,MM.
| index integer |  | Hour range index.
| to string |  | Time in format HH,MM.
ignore_errors boolean | Choices: no yes | Apply changes ignoring errors. You won't be able to publish such a changes. If ignore-warnings flag was omitted - warnings will also be ignored.
ignore_warnings boolean | Choices: no yes | Apply changes ignoring warnings.
name string / required |  | Object name.
recurrence dictionary |  | Days recurrence.
| days list |  | Valid on specific days. Multiple options, support range of days in months. Example,["1","3","9-20"].
| month string |  | Valid on month. Example, "1", "2","12","Any".
| pattern string |  | Valid on "Daily", "Weekly", "Monthly" base.
| weekdays list |  | Valid on weekdays. Example, "Sun", "Mon"..."Sat".
start dictionary |  | Starting time. Note, Each gateway may interpret this time differently according to its time zone.
| date string |  | Date in format dd-MMM-yyyy.
| iso_8601 string |  | Date and time represented in international ISO 8601 format. Time zone information is ignored.
| posix integer |  | Number of milliseconds that have elapsed since 00,00,00, 1 January 1970.
| time string |  | Time in format HH,mm.
start_now boolean | Choices: no yes | Start immediately.
state string | Choices: present ← absent | State of the access rule (present or absent). Defaults to present.
tags list |  | Collection of tag identifiers.
version string |  | Version of checkpoint. If not given one, the latest version taken.
wait_for_task boolean | Choices: no yes ← | Wait for the task to end. Such as publish task.

## Examples

    - name: add-time
      cp_mgmt_time:
        end:
          date: 24-Nov-2014
          time: '21:22'
        end_never: 'false'
        hours_ranges:
        - enabled: true
          from: 00:00
          index: 1
          to: 00:00
        - enabled: false
          from: 00:00
          index: 2
          to: 00:00
        name: timeObject1
        recurrence:
          days:
          - '1'
          month: Any
          pattern: Daily
          weekdays:
          - Sun
          - Mon
        start_now: 'true'
        state: present

    - name: set-time
      cp_mgmt_time:
        hours_ranges:
        - from: 00:22
          to: 00:33
        name: timeObject1
        recurrence:
          month: Any
          pattern: Weekly
          weekdays:
          - Fri
        state: present

    - name: delete-time
      cp_mgmt_time:
        name: timeObject1
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
cp_mgmt_time dictionary | always, except when deleting the object. | The checkpoint object created or updated.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Or Soffer (@chkp-orso)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.